{+--------------------------------------------------------------------------+
 | Created:     10.98
 | Author:      Martin Waldenburg
 | Description: Simple timer.
 | It's provided as is, without a warranty of any kind.
 | You use it at your own risc.
 | E-Mail me at Martin.Waldenburg@t-online.de
 +--------------------------------------------------------------------------+}
unit Mwtime;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs;

type
  TmTime = class(TComponent)
  private
    StartValue: LongInt;
    StopValue: LongInt;
    function GetElapsedTime: String;
  protected
    { Protected-Deklarationen }
  public
    procedure Start;
    procedure Stop;
    property ElapsedTime: String read GetElapsedTime;
  published
    { Published-Deklarationen }
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('mw', [TmTime]);
end;

{ TmTime }

function TmTime.GetElapsedTime: String;
begin
  Result:= FloatToStr((StopValue-StartValue)/1000);
end;

procedure TmTime.Start;
begin
  StartValue:= GetTickCount;
end;

procedure TmTime.Stop;
begin
  StopValue:= GetTickCount;
end;

end.
